# bps

[![GoDoc](https://godoc.org/mcquay.me/bps?status.svg)](https://godoc.org/mcquay.me/bps)

`bps` is used to keep track of bandwidth rates

It is intended to be used as such:

    // report on the rate over a 60 second interval, update every second
	bw, _ := New(60*time.Second)
	bw.Add(10)
	b := &bytes.Buffer{}
	b.Write([]byte("helloooooooooooooooooooooooooooooooooooooooooooooo"))
	io.Copy(bw, b)
	time.Sleep(1 * time.Second)
	log.Printf("%+v", bw.HumanRate())
